Create Approval and an associated workflow item
Get all Approval items
Get Approval item for current user
Update Approval item
Get Approvals settings for current User
Update Approvals settings
Get Roles for particular approvals
Retrieves all approval items that belong to the current user. To filter the results, use the request parameters and supported operators. For example, GET ../approvals?f[objecttype][undefined]=CMSAsset1,JobUrl1&f[objectid][undefined]=1 retrieves all approval items where Objecttype equals to CMSAsset or JobUrl AND where objectId equals 1. The response includes details of the approval and workflow items, with the current state and the transitions available for the current user’s roles. Use the GET /approvals-v2/{id} resource with available objectType and objectId values to retrieve a single approval item.
| Name | Type | Description |
|---|---|---|
f[workflowState] | String | The state of the workflow. Possible values: draft, submitted, reviewed, returned, approved, defining. This filter supports eq and not operators. |
f[workflowType] | String | Type of workflow. This filter supports eq and not operators. |
f[objectType] | String | Object type. This filter supports eq and not operators. |
f[cmsAssetType] | String | Asset type. This filter supports eq and not operators. |
f[objectId] | String | The ID of the object. This filter supports gt, gte, lt, lte, eq, and not operators. |
f[deadline] | String | Deadline for approval. This filter supports gt, gte, lt, lte, eq, and not operators. For example, GET ../approvals?f[deadline][undefined]=‘2015-12-08T12:00Z’ retrieves all approval items where the deadline is greater than or equal to 2015-12-08, with a time offset of 12:00Z. |
$pageSize | Int | The number of records to return in each page of results. |
$page | Int | The current page number. |
sort | String | The sorting method to apply to results. Specify a field name and a sort order (ASC or DESC). Possible field names: Name, CreatedDate, WorkflowState, Deadline. |
| Status | Name | Type | Description |
|---|---|---|---|
| 200 | Response includes a list of approval items. | ||
| count | String | Number of records retrieved | |
| page | String | Current page number | |
| pageSize | String | Number of records on each page | |
| commentCounts | Object | Comment counts | |
| commentCounts.open | String | Number of comments that are open | |
| commentCounts.addressed | String | Number of comments that are addressed | |
| commentCounts.completed | String | Number of comments that are completed | |
| commentCounts.total | String | Total number of comments | |
| items | Array | List of approval items | |
| items.approvalItemId | String | Id for approval item | |
| items.objectType | String | Object type for approval item | |
| items.objectId | String | Unique Id of the object associated with the approval item | |
| items.name | String | Name of the approval item | |
| items.description | String | Description of the approval item | |
| items.workflowItemId | String | Id of the workflow item | |
| items.workflowState | String | Workflow state of the approval item | |
| items.workflowType | String | Type of the workflow | |
| items.workflowName | String | Name of the workflow | |
| items.deadline | Array | Deadline for the approval item | |
| items.commentCounts | Object | Comment counts | |
| items.commentCounts.open | String | Number of comments that are open | |
| items.commentCounts.addressed | String | Number of comments that are addressed | |
| items.commentCounts.completed | String | Number of comments that are completed | |
| items.commentCounts.total | String | Total number of comments | |
| items.workflowItem | Object | Workflow item object | |
| items.workflowItem.workflowItemId | String | Workflow item id | |
| items.workflowItem.workflowRound | String | Workflow round | |
| items.workflowItem.type | String | Workflow type | |
| items.workflowItem.currentState | Object | Current state of the workflow | |
| items.workflowItem.currentState.stateId | String | Id of the current state | |
| items.workflowItem.currentState.stateName | String | Current state name | |
| items.workflowItem.currentState.isEndState | String | Is the current state the final state? | |
| items.workflowItem.currentState.modifiedDate | String | Date the workflow item is modified | |
| items.workflowItem.availableTransitions | Array | Collection of available workflow states | |
| items.workflowItem.availableTransitions.id | String | Id of the available workflow state | |
| items.workflowItem.availableTransitions.name | String | Name of the available workflow state | |
| items.workflowItem.availableTransitions.isPersistable | String | Defines if the workflow item is persistable | |
| items.blocked | String | Defines if emails will be sent out. If blocked = true, then emails won’t be sent. | |
| 400_OrderByInvalid | The GET request parameter - $OrderBy is invalid and thus the request can’t be processed. | ||
| message | String | The GET request parameter - $OrderBy is invalid and thus the request can’t be processed. | |
| errorcode | String | Error code for the exception (10000) | |
| 400_OperatorNotSupported | The operator ‘neq’ isn’t supported. | ||
| message | String | The operator ‘neq’ isn’t supported. | |
| errorcode | String | Error code for the exception (10000) | |
| 400_FilterInvalid | The GET request filter parameter is invalid and thus the request can’t be processed. | ||
| message | String | The GET request filter parameter is invalid and thus the request can’t be processed | |
| errorcode | String | Error code for the exception (10000) |